datablock TSShapeConstructor(DeeeepSharkDts)
{
	baseShape  = "./Shark.dts";
	sequence0  = "./shark_root.dsq root";

	sequence1  = "./shark_run.dsq run";
	sequence2  = "./shark_run.dsq walk";
	sequence3  = "./shark_run.dsq back";
	sequence4  = "./shark_run.dsq side";

	sequence5  = "./shark_crouch.dsq crouch";
	sequence6  = "./shark_crouchrun.dsq crouchRun";
	sequence7  = "./shark_crouchrun.dsq crouchBack";
	sequence8  = "./shark_crouchrun.dsq crouchSide";

	sequence9  = "./shark_look.dsq look";
	sequence10 = "./shark_root.dsq headside";
	sequence11 = "./shark_root.dsq headUp";

	sequence12 = "./shark_jump.dsq jump";
	sequence13 = "./shark_root.dsq standjump";
	sequence14 = "./shark_root.dsq fall";
	sequence15 = "./shark_root.dsq land";

	sequence16 = "./shark_armAttack.dsq armAttack";
	sequence17 = "./shark_activate.dsq armReadyLeft";
	sequence18 = "./shark_activate.dsq armReadyRight";
	sequence19 = "./shark_activate.dsq armReadyBoth";
	sequence20 = "./shark_activate.dsq spearready";  
	sequence21 = "./shark_activate.dsq spearThrow";

	sequence22 = "./shark_activate.dsq talk";  

	sequence23 = "./shark_death1.dsq death1"; 
	
	sequence24 = "./shark_activate.dsq shiftUp";
	sequence25 = "./shark_activate.dsq shiftDown";
	sequence26 = "./shark_activate.dsq shiftAway";
	sequence27 = "./shark_activate.dsq shiftTo";
	sequence28 = "./shark_activate.dsq shiftLeft";
	sequence29 = "./shark_activate.dsq shiftRight";
	sequence30 = "./shark_activate.dsq rotCW";
	sequence31 = "./shark_activate.dsq rotCCW";

	sequence32 = "./shark_activate.dsq undo";
	sequence33 = "./shark_activate.dsq plant";

	sequence34 = "./shark_root.dsq sit";

	sequence35 = "./shark_activate.dsq wrench";

   sequence36 = "./shark_activate.dsq activate";
   sequence37 = "./shark_activate.dsq activate2";

   sequence38 = "./shark_root.dsq leftrecoil";
};    

datablock PlayerData(PlayerDeeeepShark : PlayerStandardArmor)
{

   shapeFile = "./Shark.dts";

   drag = "0.02";
   density = "0.7";
   maxForwardSpeed = "2";
   maxBackwardSpeed = "1";
   maxSideSpeed = "1";
   maxForwardCrouchSpeed = "2";
   maxBackwardCrouchSpeed = "1";
   maxSideCrouchSpeed = "1";
   maxUnderwaterForwardSpeed = "40";
   maxUnderwaterBackwardSpeed = "10";
   maxUnderwaterSideSpeed = "20";
   airControl = "12";
   jumpDelay = "45";
   canJet = 0;
   uiName = "Deeeep Shark";
   maxDamage = 900;
 };

AddDamageType("DeeeepShark", '%1 was killed by a Shark!', '%1 was killed by Shark %2!', 1, 1);

package DeeeepSharkAttack
{
	function Armor::onCollision(%this, %obj, %col, %fade, %pos, %normal)
	{
		%ret = Parent::onCollision(%this, %obj, %col, %fade, %pos, %normal);
		if(!isObject(%obj) || !isObject(%col))
			return %ret;
		if(%col.getDatablock().getID() == PlayerDeeeepShark.getID() && %obj.getDatablock().getID() != PlayerDeeeepShark.getID())
		{
			if(minigameCanDamage(%col, %obj) && %col.getState() !$= "DEAD")
			{
				if(isObject(%cl = %obj.client) && %cl.name !$= "")
					%obj.damage(%obj, %col.position, 90, $DamageType::DeeeepShark);  //%proj, %pos, %damage, %dmgType
				else
					%obj.damage(0, %col.position, 90, $DamageType::DeeeepShark);  //%proj, %pos, %damage, %dmgType
				%obj.applyImpulse(%col.position, vectorScale(vectorNormalize(vectorSub(vectorAdd(%obj.position, "0 0 1"), %col.position)), 1000));
			%col.playThread(2, activate);
			}
		}
		return %ret;
	}
   
};
activatePackage("DeeeepSharkAttack");